using System;
using System.Collections.Generic;
using System.Text;

namespace ChuPiao.Common.Communication.GtdJson.Packs
{
    public class A10003GetBonus:PackBase
    {
        public override string Action
        {
            get { return "getBonus"; }
        }

        private int _lotId;
        /// <summary>
        /// 彩种ID
        /// </summary>
        public int LotId
        {
            get { return _lotId; }
            set { _lotId = value; }
        }

        private int _abbdate;
        public int AbbDate
        {
            get { return _abbdate; }
            set { _abbdate = value; }
        }

        private int _page;
        /// <summary>
        /// 页
        /// </summary>
        public int Page
        {
            get { return _page; }
            set { _page = value; }
        }

        private int _size;
        /// <summary>
        /// 页大小
        /// </summary>
        public int Size
        {
            get { return _size; }
            set { _size = value; }
        }

        private bool _isBig=false;
        /// <summary>
        /// 中心兑奖票要加权限
        /// </summary>
        public bool IsBig
        {
            get { return _isBig; }
            set { _isBig = value; }
        }


        public override void PackBody(Newtonsoft.Json.JsonWriter jsonWriter)
        {
            jsonWriter.WritePropertyName("lotId");
            jsonWriter.WriteValue(LotId);
            jsonWriter.WritePropertyName("abbdate");
            jsonWriter.WriteValue(AbbDate);
            jsonWriter.WritePropertyName("expect");
            jsonWriter.WriteValue(AbbDate.ToString());
            jsonWriter.WritePropertyName("page");
            jsonWriter.WriteValue(Page);
            jsonWriter.WritePropertyName("size");
            jsonWriter.WriteValue(Size);
            jsonWriter.WritePropertyName("bigFlag");
            jsonWriter.WriteValue(IsBig ? 1 : 0);
        }
    }
}
